Bug 54478 - [NEW PORT] sysutils/pkg_install
[NEW PORT] sysutils/pkg_install
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: portmgr
Depends on:
  Show dependency treegraph
Reported: 2003-07-14 16:50 UTC by eikemeier
Modified: 2003-08-27 05:48 UTC (History)
1 user (show)

See Also:

pkg_install.shar (3.52 KB, text/plain)
2003-07-14 16:50 UTC, eikemeier
no flags Details
file.diff (892 bytes, patch)
2003-07-14 16:50 UTC, eikemeier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description eikemeier 2003-07-14 16:50:15 UTC
The recent changes made it difficult for users of FreeBSD systems <= 4.6
to use a recent ports tree. Furthermore ports conflict checking is only
available on 5.x systems

Fix: This port installs a -CURRENT snapshot of the pkg_install tools as a port,
a patch to bsd.ports.mk to use this port when installed and to install
this port on systems < 4.7 is included.

How to test:


How to commit:

put pkg_install-20030714.tar.bz2 into ~/public_distfiles/ on your freefall
account and set MASTER_SITE_SUBDIR to your freefall username.

How to create a new snapshot:

Go to a machine with -CURRENT in /usr/src. Then do
  pax -w -x ustar -s ",^/usr/src/usr.sbin/pkg_install,pkg_install-`date +%Y%m%d`," \
    /usr/src/usr.sbin/pkg_install | bzip2 > "pkg_install-`date +%Y%m%d`.tar.bz2"
nd adjust PORTVERSION and distinfo accordingly.
Comment 1 kris freebsd_committer 2003-07-23 12:57:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

portmgr territory
Comment 2 jimbo 2003-07-24 00:58:03 UTC
I could not get this port to build correctly - libinstall.a does not get
created, so the build fails.

The fix found in http://www.freebsd.org/cgi/query-pr.cgi?pr=54475 does work
properly when applied to /usr/ports/Mk/bsd.port.mk, however.  Although as
noted in followup to that PR, make deinstall still does not work properly
after applying the patch.
Comment 3 Joe Marcus Clarke freebsd_committer 2003-08-03 22:45:16 UTC
State Changed
From-To: open->analyzed

The pkg_install port has been added with a few modifications.  The diffs to 
bsd.port.mk will be tested on bento before being committed to the tree.
Comment 4 Joe Marcus Clarke freebsd_committer 2003-08-27 05:47:53 UTC
State Changed
From-To: analyzed->closed

Committed with some modifications.  Thanks!